Сборка PostgreSQL для платформы 1С под Linux и Windows

На данной странице представлены для ознакомления собранные компанией Postgres Professional установочные пакеты новейшей версии PostgreSQL (9.4.10) под Windows 32bit и Windows 64bit и различные дистрибутивы Linux (только x86_64). В установочные пакеты включены изменения, предоставленные компанией 1C.

Представленное программное обеспечение предлагается для загрузки на бесплатной основе.

ПОДДЕРЖКА. Если вам необходимо обеспечение поддержки или консультация по представленным пакетам PostgreSQL, вы можете связаться с нашим отелом продаж по e-mail: sales@postgrespro.ru  или по телефону +7 (495) 150-06-91.

Если вы нашли баг, если у вас есть замечания или предложения, напишите на support@postgrespro.ru, мы обязательно ответим.

Postgres Professional оставляет за собой право без предварительного уведомления вносить изменения в положения данной страницы, поэтому мы настоятельно рекомендуем перед загрузкой программного обеспечения ознакомиться с положениями/изменениями/дополнениями по условиям использования, указанными на странице.

Загружая из нашего репозитория пакеты программного обеспечения, Вы выражаете согласие с настоящими условиями его использования.

ОТКАЗ ОТ ГАРАНТИЙ, УСЛОВИЯ ИСПОЛЬЗОВАНИЯ. Программное обеспечение компании Postgres Professional предоставляется на условиях “КАК ЕСТЬ”. Postgres Professional, ее аффилированные лица и поставщики не предоставляют никаких явных или подразумеваемых гарантий, в том числе подразумеваемых гарантий коммерческого качества и пригодности для конкретных целей; условий, заверений, подтверждений в каких бы то ни было положениях о качестве, характеристиках, совместимости, безопасности, достижении определенных результатов, соответствии определенному назначению, отсутствии авторских прав.

Ответственность за любые убытки, ущерб, предъявление претензий, которые могут быть нанесены пользователю (его техническим средствам, программному обеспечению и данным) в результате загрузки представленных материалов, полностью ложится на пользователя.

Компоненты и материалы, поддерживаемые фирмой и входящие в установочные пакеты PostgreSQL, распространяются на условиях, определенных компанией 1С.

ВЕРСИИ PostgreSQL и 1С

Начиная с версии 8.3 платформа 1С поддерживает PostgreSQL версии 9.4. Для этого фирмой 1С был выпущен набор патчей для PostgreSQL 9.4.2. В предлагаемых пакетах используется более новый PostgreSQL 9.4.10. Эта версия СУБД имеет множество улучшений, прежде всего связанных с отказоустойчивостью.

ДИСТРИБУТИВЫ ДЛЯ WINDOWS

Включены дополнительные патчи повышающие отказоустойчивость еще не успевшие войти в стабильный релиз, например включены патчи, которые исправляют проблему с правами доступа и критический баг с остановкой Postgres.

PostgreSQL 9.4.10:

PostgreSQL 9.5.5 (данная сборка экспериментальная, предназначена только для тестирования):

PgAdmin3 1.22.1:

ПОДКЛЮЧЕНИЕ ПАКЕТНЫХ РЕПОЗИТОРИЕВ И ИНСТАЛЛЯЦИЯ ПАКЕТОВ ДЛЯ LINUX (только x86_64)

Обращаем Ваше внимание на то, что для корректной работы дистрибутивов 1С, распространяемых на территории Российской Федерации, кластер PostgreSQL должен быть инициализирован с локалью ru_RU.UTF-8. Если при инициализации кластера локаль явно не задана, то кластер будет инициализирован с локалью, установленной в системе по умолчанию. C помощью утилит locale(Linux) и systeminfo(Windows)  можно узнать значение локали, установленное по умолчанию.

Версия PostgreSQL 9.4.10 (для 1С версии начиная с 8.3 )

Подключение под centos 6/7:

sudo rpm -ivh http://1c.postgrespro.ru/keys/postgrespro-1c-centos94.noarch.rpm && sudo yum install postgresql-pro-1c-9.4

Подключение под ROSA Enterprise Linux Server 6:

sudo rpm -ivh http://1c.postgrespro.ru/keys/postgrespro-1c-rosa94.noarch.rpm  && sudo yum install postgresql-pro-1c-9.4

Подключение под Oracle Linux 6/7:

sudo rpm -ivh http://1c.postgrespro.ru/keys/postgrespro-1c-oraclelinux94.noarch.rpm && sudo yum install postgresql-pro-1c-9.4

Подключение под Altlinux 7:

sudo sh -c 'echo "rpm http://1c.postgrespro.ru/rpm/9.4/altlinux/7 x86_64 pgpro-1c" > /etc/apt/sources.list.d/postgrespro-1c.list' && sudo apt-get update

sudo apt-get install postgresql-pro-1c-9.4

 

ОБНОВЛЕНИЕ МИНОРНОЙ ВЕРСИИ DEB ПАКЕТОВ ДО ВЕРСИЙ 9.5.4, 9.4.9:

Начиная с версий 9.5.4, 9.4.9 в нашу DEB сборку были внесены изменения. Пакет postgresql-pro-1c-[9.4|9.5] теперь является реальными именем пакета, а не виртуальным как раньше. Это было сделано, чтобы избежать некорректного разрешения зависимостей при установке наших пакетов, которое обусловлено наличием в APT механизма installation candidate, из-за которого становится невозможным гарантировать предсказуемое разрешение зависимостей. Минорное обновление до вышеуказанных версий осуществляется следующим образом:
   apt-get update && apt-get install postgresql-pro-1c-[9.4|9.5]

Если у Вас при обновлении возникла ошибка неудовлетворенных зависимостей, необходимо предпринять следующие шаги:
(На примере версии 9.4.8)
1. Переименуйте директории с конфигами и данными:
     mv /etc/postgresql/9.4 /etc/postgresql/9.4.upgrade
    mv /var/lib/postgresql/9.4 /var/lib/postgresql/9.4.upgrade

2. Удалите установленные пакеты из стандартного репозитория:
    apt-get purge postgresql*9.4 postgresql-client-common
3. Обновите мета-информацию о пакетах:
    apt-get update
4. Установите пакет:
    apt-get install postgresql-pro-1c-9.4
5. Переименуйте обратно директории из шага 1:
    rm -rf /etc/postgresql/9.4 /var/lib/postgresql/9.4
    mv /etc/postgresql/9.4.upgrade /etc/postgresql/9.4
    mv /var/lib/postgresql/9.4.upgrade /var/lib/postgresql/9.4
6. Запустите postgresql

Если у Вас возникли вопросы о процедуре обновления, Вы можете их задать по адресу g.smolkin@postgrespro.ru


Подключение под debian 7/8, ubuntu 12.04/14.04/16.04:

sudo sh -c 'echo "deb http://1c.postgrespro.ru/deb/ $(lsb_release -cs) main" > /etc/apt/sources.list.d/postgrespro-1c.list'

wget --quiet -O - http://1c.postgrespro.ru/keys/GPG-KEY-POSTGRESPRO-1C-92 | sudo apt-key add - && sudo apt-get update 

sudo apt-get install postgresql-pro-1c-9.4

 

Версия PostgreSQL 9.5.5 (для 1С версии начиная с 8.3 )

Подключение под centos 6/7:

sudo rpm -ivh http://1c.postgrespro.ru/keys/postgrespro-1c-centos95.noarch.rpm && sudo yum install postgresql-pro-1c-9.5

Подключение под ROSA Enterprise Linux Server 6:

sudo rpm -ivh http://1c.postgrespro.ru/keys/postgrespro-1c-rosa95.noarch.rpm  && sudo yum install postgresql-pro-1c-9.5

Подключение под Oracle Linux 6/7:

sudo rpm -ivh http://1c.postgrespro.ru/keys/postgrespro-1c-oraclelinux95.noarch.rpm && sudo yum install postgresql-pro-1c-9.5

Подключение под Altlinux 7:

sudo sh -c 'echo "rpm http://1c.postgrespro.ru/rpm/9.5/altlinux/7 x86_64 pgpro-1c" > /etc/apt/sources.list.d/postgrespro-1c.list' && sudo apt-get update

sudo apt-get install postgresql-pro-1c-9.5

Подключение под debian 7/8, ubuntu 12.04/14.04/16.04:

sudo sh -c 'echo "deb http://1c.postgrespro.ru/deb/ $(lsb_release -cs) main" > /etc/apt/sources.list.d/postgrespro-1c.list'

wget --quiet -O - http://1c.postgrespro.ru/keys/GPG-KEY-POSTGRESPRO-1C-92 | sudo apt-key add - && sudo apt-get update 

sudo apt-get install postgresql-pro-1c-9.5

 

Исходные материалы, использованные при сборке:

Исходные коды PostgreSQL доступны на сайте http://postgresql.org/.
Патчи 1С - на сайте фирмы 1С.